
ChiliProject - Feature # 129: Change public strings of Redmine to ChiliProject
Created: 2011-02-03 Assignee: Eric Davis
Remote issue URL:
Affected version:
Description:

Associated revisions
2011-02-20 05:38 am - Eric Davis
[#129] Replace public strings using Redmine with ChiliProject

2011-02-22 12:36 am - Eric Davis
[#129] Fix case on some ChiliProject strings

2011-02-22 12:38 am - Eric Davis
[#129] Remove the Copyright in the footer

2011-02-22 12:43 am - Eric Davis
[#129] i18n the 'Powered by' string in the footer

2011-11-25 08:28 pm - Eric Davis
Merge pull request #129 from jwalkerbg/master

Added Bulgarian translation of several strings

History
2011-02-03 12:05 pm - Derek Montgomery
Same goes for the 'Settings/Information' bit that says Redmine 1.0.4 so far

2011-02-05 04:00 am - Matthew Connerton
- File footer-project-name.patch added

This patch replaces "Redmine" with "ChiliProject" and removes the copywrite.

I propose its best to put something like this up sooner than later while we wait on the copywrite decisions (#128) to be made

2011-02-05 04:07 am - Matthew Connerton
- Status changed from Open to Ready for review

2011-02-10 11:56 pm - Eric Davis
- Assignee set to Eric Davis

I'm going to do some reading up on US copyright law but I'll merge this until #128 is decided.

2011-02-11 03:45 pm - Felix Schäfer
There's a few more places I'd suggest changing:
* @app/models/mailer.rb@ (Redmine test, X-Redmine-*, X-Mailer
* @app/views/mailer/test*@ (sent by)
* @config/settings.yml@ (default settings)
* @db/migrate/001_setup.rb@ (name of the admin user)

That's the diff for me, minus the migration because for some weird reason (line endings?) git thinks I've changed 9/10 of the file:

<pre><code class="diff">diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 56f60e0..bbb0ac0 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -281,7 +281,7 @@ class Mailer < ActionMailer::Base
     redmine_headers 'Type' => "Test"
     set_language_if_valid(user.language)
     recipients user.mail
-    subject 'Redmine test'
+    subject 'ChiliProject test'
     body :url => url_for(:controller => 'welcome')
     render_multipart('test', body)
   end
@@ -362,16 +362,16 @@ class Mailer < ActionMailer::Base
     from Setting.mail_from
     
     # Common headers
-    headers 'X-Mailer' => 'Redmine',
-            'X-Redmine-Host' => Setting.host_name,
-            'X-Redmine-Site' => Setting.app_title,
+    headers 'X-Mailer' => 'ChiliProject',
+            'X-ChiliProject-Host' => Setting.host_name,
+            'X-ChiliProject-Site' => Setting.app_title,
             'Precedence' => 'bulk',
             'Auto-Submitted' => 'auto-generated'
   end
 
-  # Appends a Redmine header field (name is prepended with 'X-Redmine-')
+  # Appends a ChiliProject header field (name is prepended with 'X-ChiliProject-')
   def redmine_headers(h)
-    h.each { |k,v| headers["X-Redmine-#{k}"] = v }
+    h.each { |k,v| headers["X-ChiliProject-#{k}"] = v }
   end
 
   # Overrides the create_mail method
diff --git a/app/views/mailer/test.text.html.rhtml b/app/views/mailer/test.text.html.rhtml
index 25ad20c..96946bc 100644
--- a/app/views/mailer/test.text.html.rhtml
+++ b/app/views/mailer/test.text.html.rhtml
@@ -1,2 +1,2 @@
-<p>This is a test email sent by Redmine.<br />
-Redmine URL: <%= auto_link(@url) %></p>
+<p>This is a test email sent by ChiliProject.<br />
+ChiliProject URL: <%= auto_link(@url) %></p>
diff --git a/app/views/mailer/test.text.plain.rhtml b/app/views/mailer/test.text.plain.rhtml
index 790d6ab..257ec14 100644
--- a/app/views/mailer/test.text.plain.rhtml
+++ b/app/views/mailer/test.text.plain.rhtml
@@ -1,2 +1,2 @@
-This is a test email sent by Redmine.
-Redmine URL: <%= @url %>
+This is a test email sent by ChiliProject.
+ChiliProject URL: <%= @url %>
diff --git a/config/settings.yml b/config/settings.yml
index 6a9676a..5b8a7b4 100644
--- a/config/settings.yml
+++ b/config/settings.yml
@@ -20,7 +20,7 @@
 # Settings can be defined through the application in Admin -> Settings
 
 app_title:
-  default: Redmine
+  default: ChiliProject
 app_subtitle:
   default: Project management
 welcome_text:
@@ -46,7 +46,7 @@ activity_days_default:
 per_page_options:
   default: '25,50,100'
 mail_from:
-  default: redmine@example.net
+  default: chiliproject@example.net
 bcc_recipients:
   default: 1
 plain_text_mail:</code></pre>

2011-02-11 07:30 pm - Eric Davis
- Subject changed from Change the footer in the layout to say ChiliProject to Change public strings of Redmine to ChiliProject

Felix:

I have some of this code in SeeProjectRun I can extract. I think we should just focus on the public strings for now and change the internal ones later 
(class and module names)

2011-02-11 09:26 pm - Felix Schäfer
Eric Davis wrote:
> I have some of this code in SeeProjectRun I can extract. I think we should just focus on the public strings for now and change the internal ones later 
(class and module names)

All the ones I referenced but the mail headers are public-facing at one point or another ;-)

2011-02-20 04:42 am - Eric Davis
I found a bunch more public strings including some headers (mail, web, api). Can someone review my pull request to make sure I didn't miss anything 
or break anything?

https://github.com/chiliproject/chiliproject/pull/12

2011-02-20 05:46 pm - Felix Schäfer
Eric Davis wrote:
> I found a bunch more public strings including some headers (mail, web, api).

Well, I had considered the "viewable" strings only, but those are OK too.

> Can someone review my pull request to make sure I didn't miss anything or break anything?

I had a look and didn't see anything strange or that I'd consider breaking, though you should probably correct the 2 "Chiliproject"s in that file 
https://github.com/chiliproject/chiliproject/pull/12/files#L14L0 to "ChiliProject" :-) I haven't searched if you've overlooked things either, but you have my 
go for that one, commit at will.

2011-02-20 05:47 pm - Felix Schäfer
Ah, one more thing though: I'd be in favor of dropping the copyright notice in the footer completely, I think it's enough if it says "Powered by 
ChiliProject".

2011-02-20 06:06 pm - Muntek Singh
Felix SchÃ¤fer wrote:
> Ah, one more thing though: I'd be in favor of dropping the copyright notice in the footer completely, I think it's enough if it says "Powered by 
ChiliProject".

This is probably what we want to do until we get the copyright/legal stuff properly figured out anyways.

2011-02-21 11:47 pm - Eric Davis
- Status changed from Ready for review to Closed

Thanks. The test fixtures and footer have been updated and merged into master.  I also i18n'd the "Powered by" string in 
commit:fb89e7a842f162e5b1086a0a06a071069d9dc36a.

Files
footer-project-name.patch 1.3 kB 2011-02-05 Matthew Connerton
